<?php

include_once 'browser.php';

Class BrowserInfo extends Browser{

  const IsDeskTop = 0 ;
  const IsMobile  = 1 ;
  const IsTablet  = 2 ;

  public function getDadosBrowser(){
    $dados = array();
    $dados = array(
      'sistema_operacional'        => $this->getPlatform(),
      'versao_sistema_operacional' => $this->getPlatformVersion(),
      'navegador'                  => $this->getBrowser(),
      'versao_navegador'           => $this->getVersion(),
      'tipo_dispositivo'           => $this->getDispositivo()
    );
    return $dados;
  }

  public function getDispositivo(){
    
    $dispositivo = self::IsDeskTop;

    if(parent::isMobile()){
      $dispositivo = self::IsMobile ;
    }

    if(parent::isTablet()){
      $dispositivo = self::IsTablet ;
    }

    return $dispositivo;
  }



}

?>
